PowerVmAllocationPolicyMigrationLocalRegressionRobust (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power

## Class PowerVmAllocationPolicyMigrationLocalRegressionRobust

- java.lang.Object
- - org.cloudbus.cloudsim.VmAllocationPolicy
  - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicyAbstract
    - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationAbstract
      - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationLocalRegression
        - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationLocalRegressionRobust

-     public class PowerVmAllocationPolicyMigrationLocalRegressionRobust
      extends PowerVmAllocationPolicyMigrationLocalRegression

  The Local Regression Robust (LRR) VM allocation policy. If you are using any algorithms, policies or workload included in the power package, please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 3.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description

    `PowerVmAllocationPolicyMigrationLocalRegressionRobust(List<? extends Host> hostList, PowerVmSelectionPolicy vmSelectionPolicy, double safetyParameter, double schedulingInterval, PowerVmAllocationPolicyMigrationAbstract fallbackVmAllocationPolicy)`
    Instantiates a new power vm allocation policy migration local regression.

    `PowerVmAllocationPolicyMigrationLocalRegressionRobust(List<? extends Host> hostList, PowerVmSelectionPolicy vmSelectionPolicy, double safetyParameter, double schedulingInterval, PowerVmAllocationPolicyMigrationAbstract fallbackVmAllocationPolicy, double utilizationThreshold)`
    Instantiates a new power vm allocation policy migration local regression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double[]` | `getParameterEstimates(double[] utilizationHistoryReversed)` Gets the parameter estimates.

    - ### Methods inherited from class org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationLocalRegression

      `getFallbackVmAllocationPolicy, getMaximumVmMigrationTime, getSafetyParameter, getSchedulingInterval, isHostOverUtilized, setFallbackVmAllocationPolicy, setSafetyParameter, setSchedulingInterval`

    - ### Methods inherited from class org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationAbstract

      `addHistoryEntry, areAllVmsMigratingOutOrAnyVmMigratingIn, extractHostListFromMigrationMap, findHostForVm, findHostForVm, getExecutionTimeHistoryHostSelection, getExecutionTimeHistoryTotal, getExecutionTimeHistoryVmReallocation, getExecutionTimeHistoryVmSelection, getMaxUtilizationAfterAllocation, getMetricHistory, getMigrationMapFromUnderUtilizedHosts, getNewVmPlacement, getNewVmPlacementFromUnderUtilizedHost, getOverUtilizedHosts, getPowerAfterAllocation, getSavedAllocation, getSwitchedOffHosts, getTimeHistory, getUnderUtilizedHost, getUtilizationHistory, getVmSelectionPolicy, getVmsToMigrateFromHosts, getVmsToMigrateFromUnderUtilizedHost, isHostOverUtilizedAfterAllocation, optimizeAllocation, printOverUtilizedHosts, restoreAllocation, saveAllocation, setVmSelectionPolicy`

    - ### Methods inherited from class org.cloudbus.cloudsim.power.PowerVmAllocationPolicyAbstract

      `allocateHostForVm, allocateHostForVm, deallocateHostForVm, getHost, getHost, getVmTable, TryDVFSEnableHost`

    - ### Methods inherited from class org.cloudbus.cloudsim.VmAllocationPolicy

      `getHostList, setHostList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerVmAllocationPolicyMigrationLocalRegressionRobust

          public PowerVmAllocationPolicyMigrationLocalRegressionRobust(List<? extends Host> hostList,
                                                               PowerVmSelectionPolicy vmSelectionPolicy,
                                                               double safetyParameter,
                                                               double schedulingInterval,
                                                               PowerVmAllocationPolicyMigrationAbstract fallbackVmAllocationPolicy,
                                                               double utilizationThreshold)

      Instantiates a new power vm allocation policy migration local regression.
      Parameters:
        `hostList` - the host list
        `vmSelectionPolicy` - the vm selection policy
        `schedulingInterval` - the scheduling interval
        `fallbackVmAllocationPolicy` - the fallback vm allocation policy
        `utilizationThreshold` - the utilization threshold

    - #### PowerVmAllocationPolicyMigrationLocalRegressionRobust

          public PowerVmAllocationPolicyMigrationLocalRegressionRobust(List<? extends Host> hostList,
                                                               PowerVmSelectionPolicy vmSelectionPolicy,
                                                               double safetyParameter,
                                                               double schedulingInterval,
                                                               PowerVmAllocationPolicyMigrationAbstract fallbackVmAllocationPolicy)

      Instantiates a new power vm allocation policy migration local regression.
      Parameters:
        `hostList` - the host list
        `vmSelectionPolicy` - the vm selection policy
        `schedulingInterval` - the scheduling interval
        `fallbackVmAllocationPolicy` - the fallback vm allocation policy

  - ### Method Detail

    - #### getParameterEstimates

          protected double[] getParameterEstimates(double[] utilizationHistoryReversed)

      Gets the parameter estimates.
      Overrides:
        `getParameterEstimates` in class `PowerVmAllocationPolicyMigrationLocalRegression`
      Parameters:
        `utilizationHistoryReversed` - the utilization history reversed
      Returns:
        the parameter estimates

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.